import os
import glob
import pygame
from pygame.locals import *

import customsprites

def play(song):
	try:
		pygame.mixer.music.load(os.path.join('data', song))
		pygame.mixer.music.play(-1)
	except:
		pass
	

def get_image(name):
	path = os.path.join('data', name + '.png')
	img = pygame.image.load(path)
	return img

def get_animations(name):
	anims = []
	anim_num = 0
	while os.path.exists(os.path.join('data', name + str(anim_num) + '-0-0.png')):
		frame_num = 0
		frames = []
		while os.path.exists(os.path.join('data', name + str(anim_num) + '-' + str(frame_num) + '-0.png')):
			dir_num = 0
			dirs = []
			while os.path.exists(os.path.join('data', name + str(anim_num) + '-' + str(frame_num) + '-' + str(dir_num) + '.png')):
				path = os.path.join('data', name + str(anim_num) + '-' + str(frame_num) + '-' + str(dir_num) + '.png')
				dirs.append(pygame.image.load(path))
				dir_num += 1
			frames.append(dirs)
			frame_num += 1
		anims.append(frames)
		anim_num += 1
	return anims

def get_font(name, size):
	path = os.path.join('data', 'fonts', name + '.ttf')
	return pygame.font.Font(path, size)